*** ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/internal/runtime/InternalPlatform.java.osr6	Thu Sep 21 07:57:18 2006
--- ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/internal/runtime/InternalPlatform.java	Fri Mar 23 11:49:18 2007
***************
*** 80,86 ****
  	private static final String NO_PACKAGE_PREFIXES = "-noPackagePrefixes"; //$NON-NLS-1$
  	private static final String NO_UPDATE = "-noUpdate"; //$NON-NLS-1$
  
! 	private static final String[] OS_LIST = {Platform.OS_AIX, Platform.OS_HPUX, Platform.OS_LINUX, Platform.OS_MACOSX, Platform.OS_QNX, Platform.OS_SOLARIS, Platform.OS_WIN32};
  	private static String password = ""; //$NON-NLS-1$
  	private static final String PASSWORD = "-password"; //$NON-NLS-1$
  	private static PlatformLogWriter platformLog = null;
--- 80,86 ----
  	private static final String NO_PACKAGE_PREFIXES = "-noPackagePrefixes"; //$NON-NLS-1$
  	private static final String NO_UPDATE = "-noUpdate"; //$NON-NLS-1$
  
! 	private static final String[] OS_LIST = {Platform.OS_AIX, Platform.OS_HPUX, Platform.OS_SYSV5, Platform.OS_LINUX, Platform.OS_MACOSX, Platform.OS_QNX, Platform.OS_SOLARIS, Platform.OS_WIN32};
  	private static String password = ""; //$NON-NLS-1$
  	private static final String PASSWORD = "-password"; //$NON-NLS-1$
  	private static PlatformLogWriter platformLog = null;
*** ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/runtime/Platform.java.osr6	Thu Sep 21 07:57:27 2006
--- ./plugins/org.eclipse.core.runtime/src/org/eclipse/core/runtime/Platform.java	Thu Feb 15 09:38:53 2007
***************
*** 186,191 ****
--- 186,202 ----
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
+ 	 * Constant string (value "sysv5") indicating the platform is running
+ 	 * on a UNIX SVR5-based operating system.
+ 	 * <p>
+ 	 * Note this constant has been moved from the deprecated 
+ 	 * org.eclipse.core.boot.BootLoader class and its value has not changed.
+ 	 * </p>
+ 	 * @since 3.0
+ 	 */
+ 	public static final String OS_SYSV5 = "sysv5";//$NON-NLS-1$
+ 
+ 	/**
  	 * Constant string (value "linux") indicating the platform is running on a
  	 * Linux-based operating system.
  	 * <p>
*** ./plugins/org.eclipse.ui.browser/src/org/eclipse/ui/internal/browser/WebBrowserUtil.java.osr6	Thu Sep 21 07:57:25 2006
--- ./plugins/org.eclipse.ui.browser/src/org/eclipse/ui/internal/browser/WebBrowserUtil.java	Thu Feb 15 09:38:53 2007
***************
*** 58,63 ****
--- 58,75 ----
  	}
  
  	/**
+ 	 * Returns true if we're running on SCO.
+ 	 * 
+ 	 * @return boolean
+ 	 */
+ 	public static boolean isSysv5() {
+ 		String os = System.getProperty("os.name"); //$NON-NLS-1$
+ 		if (os != null && os.toLowerCase().indexOf("sys") >= 0) //$NON-NLS-1$
+ 			return true;
+ 		return false;
+ 	}
+ 
+ 	/**
  	 * Returns true if we're running on linux.
  	 * 
  	 * @return boolean
***************
*** 293,296 ****
  		}
  		return encodedId;
  	}
! }
\ No newline at end of file
--- 305,308 ----
  		}
  		return encodedId;
  	}
! }
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/product/LauncherInfo.java.osr6	Thu Sep 21 07:57:20 2006
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/product/LauncherInfo.java	Thu Feb 15 09:38:53 2007
***************
*** 76,81 ****
--- 76,83 ----
  					String name = child.getNodeName();
  					if (name.equals("linux")) { //$NON-NLS-1$
  						parseLinux((Element)child);
+ 					} else if (name.equals("sysv5")) { //$NON-NLS-1$
+ 						parseSysv5((Element)child);
  					} else if (name.equals("macosx")) { //$NON-NLS-1$
  						parseMac((Element)child);
  					} else if (name.equals("solaris")) { //$NON-NLS-1$
***************
*** 121,126 ****
--- 123,132 ----
  		fIcons.put(MACOSX_ICON, element.getAttribute("icon")); //$NON-NLS-1$
  	}
  
+ 	private void parseSysv5(Element element) {
+ 		fIcons.put(SYSV5_ICON, element.getAttribute("icon")); //$NON-NLS-1$
+ 	}
+ 
  	private void parseLinux(Element element) {
  		fIcons.put(LINUX_ICON, element.getAttribute("icon")); //$NON-NLS-1$
  	}
***************
*** 131,136 ****
--- 137,143 ----
  			writer.print(" name=\"" + fLauncherName + "\""); //$NON-NLS-1$ //$NON-NLS-2$
  		writer.println(">"); //$NON-NLS-1$
  		
+ 		writeSysv5(indent + "   ", writer); //$NON-NLS-1$
  		writeLinux(indent + "   ", writer); //$NON-NLS-1$
  		writeMac(indent + "   ", writer); //$NON-NLS-1$
  		writeSolaris(indent + "   ", writer); //$NON-NLS-1$
***************
*** 179,184 ****
--- 186,197 ----
  			writer.println(indent + "<macosx icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ 
  	}
  
+ 	private void writeSysv5(String indent, PrintWriter writer) {
+ 		String icon = (String)fIcons.get(SYSV5_ICON);
+ 		if (icon != null && icon.length() > 0)
+ 			writer.println(indent + "<sysv5 icon=\"" + getWritableString(icon) + "\"/>"); //$NON-NLS-1$ //$NON-NLS-2$ //$NON-NLS-3$
+ 	}
+ 
  	private void writeLinux(String indent, PrintWriter writer) {
  		String icon = (String)fIcons.get(LINUX_ICON);
  		if (icon != null && icon.length() > 0)
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/ILauncherInfo.java.osr6	Thu Sep 21 07:57:34 2006
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/ILauncherInfo.java	Thu Feb 15 09:38:53 2007
***************
*** 12,17 ****
--- 12,19 ----
  
  public interface ILauncherInfo extends IProductObject {
  	
+ 	public static final String SYSV5_ICON = "sysv5Icon"; //$NON-NLS-1$
+ 	
  	public static final String LINUX_ICON = "linuxIcon"; //$NON-NLS-1$
  	
  	public static final String MACOSX_ICON = "macosxIcon"; //$NON-NLS-1$
*** ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/IArgumentsInfo.java.osr6	Thu Sep 21 07:57:20 2006
--- ./plugins/org.eclipse.pde.core/src/org/eclipse/pde/internal/core/iproduct/IArgumentsInfo.java	Tue Mar 27 10:57:16 2007
***************
*** 13,24 ****
--- 13,26 ----
  public interface IArgumentsInfo extends IProductObject {
  	
  	public static final String P_PROG_ARGS = "programArgs"; //$NON-NLS-1$
+ 	public static final String P_PROG_ARGS_SCO = "programArgsSco"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_LIN = "programArgsLin"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_MAC = "programArgsMac"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_SOL = "programArgsSol"; //$NON-NLS-1$
  	public static final String P_PROG_ARGS_WIN = "programArgsWin"; //$NON-NLS-1$
  	
  	public static final String P_VM_ARGS = "vmArgs"; //$NON-NLS-1$
+ 	public static final String P_VM_ARGS_SCO = "vmArgsSco"; //$NON-NLS-1$
  	public static final String P_VM_ARGS_LIN = "vmArgsLin"; //$NON-NLS-1$
  	public static final String P_VM_ARGS_MAC = "vmArgsMac"; //$NON-NLS-1$
  	public static final String P_VM_ARGS_SOL = "vmArgsSol"; //$NON-NLS-1$
***************
*** 29,34 ****
--- 31,37 ----
  	public static final int L_ARGS_MACOS = 2;
  	public static final int L_ARGS_SOLAR = 3;
  	public static final int L_ARGS_WIN32 = 4;
+ 	public static final int L_ARGS_SYSV5 = 5;
  	
  	void setProgramArguments(String args, int platform);
  	
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/LauncherSection.java.osr6	Thu Sep 21 07:57:20 2006
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/editor/product/LauncherSection.java	Fri Mar 23 13:00:38 2007
***************
*** 98,103 ****
--- 98,104 ----
  	private CTabFolder fTabFolder;
  	private Composite fNotebook;
  	private StackLayout fNotebookLayout;
+ 	private Composite fSysv5Section;
  	private Composite fLinuxSection;
  	private Composite fMacSection;
  	private Composite fSolarisSection;
***************
*** 183,188 ****
--- 184,190 ----
  		fNotebookLayout = new StackLayout();
  		fNotebook.setLayout(fNotebookLayout);
  
+ 		fSysv5Section = addSysv5Section(fNotebook, toolkit);
  		fLinuxSection = addLinuxSection(fNotebook, toolkit);
  		fMacSection = addMacSection(fNotebook, toolkit);
  		fSolarisSection = addSolarisSection(fNotebook, toolkit);
***************
*** 201,206 ****
--- 203,209 ----
  		addTab("macosx"); //$NON-NLS-1$
  		addTab("solaris"); //$NON-NLS-1$
  		addTab("win32"); //$NON-NLS-1$
+ 		addTab("sysv5"); //$NON-NLS-1$
  		
  		String currentTarget = TargetPlatform.getOS();
  		if ("win32".equals(currentTarget)) { //$NON-NLS-1$
***************
*** 212,217 ****
--- 215,223 ----
  		} else if ("solaris".equals(currentTarget)) { //$NON-NLS-1$
  			fTabFolder.setSelection(2);
  			fNotebookLayout.topControl = fSolarisSection;
+ 		} else if ("sysv5".equals(currentTarget)) { //$NON-NLS-1$
+ 			fTabFolder.setSelection(4);
+ 			fNotebookLayout.topControl = fSysv5Section;
  		} else {
  			fTabFolder.setSelection(0);
  			fNotebookLayout.topControl = fLinuxSection;	
***************
*** 294,299 ****
--- 300,313 ----
  		}
  	}
  	
+ 	private Composite addSysv5Section(Composite parent, FormToolkit toolkit) {
+ 		Composite comp = createComposite(parent, toolkit);
+ 		createLabel(comp, toolkit, PDEUIMessages.LauncherSection_sysv5Label, 3);	 
+ 		fIcons.add(new IconEntry(comp, toolkit, PDEUIMessages.LauncherSection_icon, ILauncherInfo.SYSV5_ICON)); 
+ 		toolkit.paintBordersFor(comp);
+ 		return comp;
+ 	}
+ 
  	private Composite addLinuxSection(Composite parent, FormToolkit toolkit) {
  		Composite comp = createComposite(parent, toolkit);
  		createLabel(comp, toolkit, PDEUIMessages.LauncherSection_linuxLabel, 3);	 
***************
*** 435,440 ****
--- 449,456 ----
  	}
  
  	private String getExtension(String iconId) {
+ 		if (iconId.equals(ILauncherInfo.SYSV5_ICON))
+ 			return "xpm"; //$NON-NLS-1$
  		if (iconId.equals(ILauncherInfo.LINUX_ICON))
  			return "xpm"; //$NON-NLS-1$
  		if (iconId.equals(ILauncherInfo.MACOSX_ICON))
***************
*** 473,478 ****
--- 489,497 ----
  		case 3:
  			fNotebookLayout.topControl = fWin32Section;
  			break;
+ 		case 4:
+ 			fNotebookLayout.topControl = fSysv5Section;
+ 			break;
  		}
  		if (oldPage != fNotebookLayout.topControl)
  			fNotebook.layout();
*** ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/PDEUIMessages.java.osr6	Thu Sep 21 07:57:30 2006
--- ./plugins/org.eclipse.pde.ui/src/org/eclipse/pde/internal/ui/PDEUIMessages.java	Thu Feb 15 09:38:53 2007
***************
*** 682,687 ****
--- 682,688 ----
  	public static String LauncherSection_32High;
  	public static String LauncherSection_48Low;
  	public static String LauncherSection_48High;
+ 	public static String LauncherSection_sysv5Label;
  	public static String LauncherSection_linuxLabel;
  	public static String LauncherSection_large;
  	public static String LauncherSection_medium;
*** ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/BrandingIron.java.osr6	Thu Sep 21 07:57:38 2006
--- ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/BrandingIron.java	Thu Feb 15 09:38:53 2007
***************
*** 70,75 ****
--- 70,77 ----
  		
  		if ("win32".equals(os)) //$NON-NLS-1$
  			brandWindows();
+ 		if ("sysv5".equals(os)) //$NON-NLS-1$
+ 			brandSysv5();
  		if ("linux".equals(os)) //$NON-NLS-1$
  			brandLinux();
  		if ("solaris".equals(os)) //$NON-NLS-1$
***************
*** 90,95 ****
--- 92,103 ----
  		renameLauncher();
  	}
  
+ 	private void brandSysv5() throws Exception {
+ 		renameLauncher();
+ 		if (brandIcons)
+ 			copy(new File(icons[0]), new File(root, "icon.xpm"));
+ 	}
+ 
  	private void brandLinux() throws Exception {
  		renameLauncher();
  		if (brandIcons)
*** ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/ProductFile.java.osr6	Thu Sep 21 07:57:34 2006
--- ./plugins/org.eclipse.pde.build/src/org/eclipse/pde/internal/build/ProductFile.java	Tue Mar 27 10:40:41 2007
***************
*** 27,37 ****
--- 27,39 ----
  	private final static SAXParserFactory parserFactory = SAXParserFactory.newInstance();
  
  	private static final String PROGRAM_ARGS = "programArgs"; //$NON-NLS-1$
+ 	private static final String PROGRAM_ARGS_SYSV5 = "programArgsSco"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_LINUX = "programArgsLin"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_MAC = "programArgsMac"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_SOLARIS = "programArgsSol"; //$NON-NLS-1$
  	private static final String PROGRAM_ARGS_WIN = "programArgsWin"; //$NON-NLS-1$
  	private static final String VM_ARGS = "vmArgs"; //$NON-NLS-1$
+ 	private static final String VM_ARGS_SYSV5 = "vmArgsSco"; //$NON-NLS-1$
  	private static final String VM_ARGS_LINUX = "vmArgsLin"; //$NON-NLS-1$
  	private static final String VM_ARGS_MAC = "vmArgsMac"; //$NON-NLS-1$
  	private static final String VM_ARGS_SOLARIS = "vmArgsSol"; //$NON-NLS-1$
***************
*** 75,80 ****
--- 77,84 ----
  	private static final int STATE_VM_ARGS_MAC = 13;
  	private static final int STATE_VM_ARGS_SOLARIS = 14;
  	private static final int STATE_VM_ARGS_WIN = 15;
+ 	private static final int STATE_PROGRAM_ARGS_SYSV5 = 16;
+ 	private static final int STATE_VM_ARGS_SYSV5 = 17;
  	
  	private int state = STATE_START;
  
***************
*** 212,217 ****
--- 216,223 ----
  		String key = null;
  		if( os.equals(Platform.OS_WIN32)){
  			key = VM_ARGS_WIN;
+ 		} else if( os.equals(Platform.OS_SYSV5)) {
+ 			key = VM_ARGS_SYSV5;
  		} else if( os.equals(Platform.OS_LINUX)) {
  			key = VM_ARGS_LINUX;
  		} else if( os.equals(Platform.OS_MACOSX)) {
***************
*** 235,240 ****
--- 241,248 ----
  		String key = null;
  		if( os.equals(Platform.OS_WIN32)){
  			key = PROGRAM_ARGS_WIN;
+ 		} else if( os.equals(Platform.OS_SYSV5)) {
+ 			key = PROGRAM_ARGS_SYSV5;
  		} else if( os.equals(Platform.OS_LINUX)) {
  			key = PROGRAM_ARGS_LINUX;
  		} else if( os.equals(Platform.OS_MACOSX)) {
***************
*** 285,290 ****
--- 293,300 ----
  					processSolaris(attributes);
  				} else if ("win".equals(localName)) { //$NON-NLS-1$
  					processWin(attributes);
+ 				} else if (Platform.OS_SYSV5.equals(localName)) {
+ 					processSysv5(attributes);
  				} else if (Platform.OS_LINUX.equals(localName)) {
  					processLinux(attributes);
  				} else if (Platform.OS_MACOSX.equals(localName)) {
***************
*** 300,305 ****
--- 310,317 ----
  			case STATE_LAUNCHER_ARGS :
  				if (PROGRAM_ARGS.equals(localName)) {
  					state = STATE_PROGRAM_ARGS;
+ 				} else if (PROGRAM_ARGS_SYSV5.equals(localName)) {
+ 					state = STATE_PROGRAM_ARGS_SYSV5;
  				} else if (PROGRAM_ARGS_LINUX.equals(localName)) {
  					state = STATE_PROGRAM_ARGS_LINUX;
  				} else if (PROGRAM_ARGS_MAC.equals(localName)) {
***************
*** 310,315 ****
--- 322,329 ----
  					state = STATE_PROGRAM_ARGS_WIN;
  				} else if (VM_ARGS.equals(localName)) {
  					state = STATE_VM_ARGS;
+ 				} else if (VM_ARGS_SYSV5.equals(localName)) {
+ 					state = STATE_VM_ARGS_SYSV5;
  				} else if (VM_ARGS_LINUX.equals(localName)) {
  					state = STATE_VM_ARGS_LINUX;
  				} else if (VM_ARGS_MAC.equals(localName)) {
***************
*** 355,365 ****
--- 369,381 ----
  				break;
  
  			case STATE_PROGRAM_ARGS :
+ 			case STATE_PROGRAM_ARGS_SYSV5 :
  			case STATE_PROGRAM_ARGS_LINUX :
  			case STATE_PROGRAM_ARGS_MAC :
  			case STATE_PROGRAM_ARGS_SOLARIS :
  			case STATE_PROGRAM_ARGS_WIN :
  			case STATE_VM_ARGS :
+ 			case STATE_VM_ARGS_SYSV5 :
  			case STATE_VM_ARGS_LINUX :
  			case STATE_VM_ARGS_MAC :
  			case STATE_VM_ARGS_SOLARIS :
***************
*** 374,379 ****
--- 390,398 ----
  			case STATE_PROGRAM_ARGS :
  				addLaunchArgumentToMap(PROGRAM_ARGS, String.valueOf(ch, start, length));
  				break;
+ 			case STATE_PROGRAM_ARGS_SYSV5 :
+ 				addLaunchArgumentToMap(PROGRAM_ARGS_SYSV5, String.valueOf(ch, start, length));
+ 				break;
  			case STATE_PROGRAM_ARGS_LINUX :
  				addLaunchArgumentToMap(PROGRAM_ARGS_LINUX, String.valueOf(ch, start, length));
  				break;
***************
*** 389,394 ****
--- 408,416 ----
  			case STATE_VM_ARGS :
  				addLaunchArgumentToMap(VM_ARGS, String.valueOf(ch, start, length));
  				break;
+ 			case STATE_VM_ARGS_SYSV5 :
+ 				addLaunchArgumentToMap(VM_ARGS_SYSV5, String.valueOf(ch, start, length));
+ 				break;
  			case STATE_VM_ARGS_LINUX :
  				addLaunchArgumentToMap(VM_ARGS_LINUX, String.valueOf(ch, start, length));
  				break;
***************
*** 493,498 ****
--- 515,526 ----
  		result.add(attributes.getValue(WIN32_48_LOW));
  	}
  
+ 	private void processSysv5(Attributes attributes) {
+ 		if (!osMatch(Platform.OS_SYSV5)) 
+ 			return;
+ 		result.add(attributes.getValue("icon")); //$NON-NLS-1$
+ 	}
+ 
  	private void processLinux(Attributes attributes) {
  		if (!osMatch(Platform.OS_LINUX)) 
  			return;
*** ./plugins/org.eclipse.pde.build/src_ant/org/eclipse/pde/internal/build/tasks/JNLPGenerator.java.osr6	Thu Sep 21 07:57:30 2006
--- ./plugins/org.eclipse.pde.build/src_ant/org/eclipse/pde/internal/build/tasks/JNLPGenerator.java	Thu Feb 15 09:38:54 2007
***************
*** 168,173 ****
--- 168,175 ----
  			return "Windows"; //$NON-NLS-1$
  		if ("macosx".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Mac"; //$NON-NLS-1$
+ 		if ("sysv5".equalsIgnoreCase(os)) //$NON-NLS-1$
+ 			return "SCO"; //$NON-NLS-1$
  		if ("linux".equalsIgnoreCase(os)) //$NON-NLS-1$
  			return "Linux"; //$NON-NLS-1$
  		if ("solaris".equalsIgnoreCase(os)) //$NON-NLS-1$
*** ./plugins/org.eclipse.update.ui/.project.osr6	Thu Sep 21 07:57:32 2006
--- ./plugins/org.eclipse.update.ui/.project	Thu Feb 15 09:38:52 2007
***************
*** 10,16 ****
  		<project>org.eclipse.ui.forms</project>
  		<project>org.eclipse.update.configurator</project>
  		<project>org.eclipse.update.core</project>
! 		<project>org.eclipse.update.core.linux</project>
  	</projects>
  	<buildSpec>
  		<buildCommand>
--- 10,16 ----
  		<project>org.eclipse.ui.forms</project>
  		<project>org.eclipse.update.configurator</project>
  		<project>org.eclipse.update.core</project>
! 		<project>org.eclipse.update.core.sysv5</project>
  	</projects>
  	<buildSpec>
  		<buildCommand>
*** ./plugins/org.eclipse.core.runtime.compatibility/src-boot/org/eclipse/core/boot/BootLoader.java.osr6	Thu Sep 21 07:57:20 2006
--- ./plugins/org.eclipse.core.runtime.compatibility/src-boot/org/eclipse/core/boot/BootLoader.java	Thu Feb 15 09:38:52 2007
***************
*** 65,70 ****
--- 65,77 ----
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
+ 	 * Constant string (value "sysv5") indicating the platform is running
+ 	 * on a UNIX SVR5-based operating system.
+ 	 * @deprecated Replaced by {@link Platform#OS_SYSV5}.
+ 	 */
+ 	public static final String OS_SYSV5 = "sysv5";//$NON-NLS-1$
+ 
+ 	/**
  	 * Constant string (value "linux") indicating the platform is running on a
  	 * Linux-based operating system.
  	 * @deprecated Replaced by {@link Platform#OS_LINUX}.
*** ./plugins/org.eclipse.help.base/src/org/eclipse/help/internal/browser/BrowserManager.java.osr6	Thu Sep 21 07:57:28 2006
--- ./plugins/org.eclipse.help.base/src/org/eclipse/help/internal/browser/BrowserManager.java	Thu Feb 15 09:38:52 2007
***************
*** 93,98 ****
--- 93,99 ----
  				setDefaultBrowserID(BROWSER_ID_SYSTEM);
  			} else if (Constants.OS_AIX.equalsIgnoreCase(os)
  					|| (Constants.OS_HPUX.equalsIgnoreCase(os))
+ 					|| (Constants.OS_SYSV5.equalsIgnoreCase(os))
  					|| (Constants.OS_LINUX.equalsIgnoreCase(os))
  					|| (Constants.OS_SOLARIS.equalsIgnoreCase(os))) {
  				setDefaultBrowserID(BROWSER_ID_MOZILLA);
*** ./plugins/org.eclipse.help.ui/src/org/eclipse/help/ui/internal/browser/embedded/EmbeddedBrowserFactory.java.osr6	Thu Sep 21 07:57:31 2006
--- ./plugins/org.eclipse.help.ui/src/org/eclipse/help/ui/internal/browser/embedded/EmbeddedBrowserFactory.java	Thu Feb 15 09:38:55 2007
***************
*** 61,67 ****
  	 */
  	private boolean test() {
  		if (!Constants.OS_WIN32.equalsIgnoreCase(Platform.getOS())
! 				&& !Constants.OS_LINUX.equalsIgnoreCase(Platform.getOS())) {
  			return false;
  		}
  		if (!tested) {
--- 61,68 ----
  	 */
  	private boolean test() {
  		if (!Constants.OS_WIN32.equalsIgnoreCase(Platform.getOS())
! 		   && !Constants.OS_LINUX.equalsIgnoreCase(Platform.getOS())
! 		   && !Constants.OS_SYSV5.equalsIgnoreCase(Platform.getOS())) {
  			return false;
  		}
  		if (!tested) {
*** ./plugins/org.eclipse.update.core/src/org/eclipse/update/internal/core/UpdateManagerUtils.java.osr6	Thu Sep 21 07:57:38 2006
--- ./plugins/org.eclipse.update.core/src/org/eclipse/update/internal/core/UpdateManagerUtils.java	Tue Mar 27 07:31:40 2007
***************
*** 65,70 ****
--- 65,72 ----
  			.equals(Platform.getOS())
  			|| org.eclipse.osgi.service.environment.Constants.OS_AIX
  					.equals(Platform.getOS())
+ 			|| org.eclipse.osgi.service.environment.Constants.OS_SYSV5
+ 					.equals(Platform.getOS())
  			|| org.eclipse.osgi.service.environment.Constants.OS_LINUX
  					.equals(Platform.getOS())
  			|| org.eclipse.osgi.service.environment.Constants.OS_SOLARIS
*** ./plugins/org.eclipse.osgi/core/framework/org/eclipse/osgi/framework/internal/core/osname.aliases.osr6	Thu Sep 21 07:57:34 2006
--- ./plugins/org.eclipse.osgi/core/framework/org/eclipse/osgi/framework/internal/core/osname.aliases	Thu Feb 15 09:38:52 2007
***************
*** 16,21 ****
--- 16,22 ----
  FreeBSD                                  # Free BSD
  HPUX                                     # Hewlett Packard
  IRIX                                     # Sillicon Graphics
+ Sysv5                                    # SCO SVR5 UNIX
  Linux                                    # Open source
  MacOS                                    # Apple
  NetBSD                                   # Open source
*** ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/EclipseEnvironmentInfo.java.osr6	Thu Sep 21 07:57:27 2006
--- ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/EclipseEnvironmentInfo.java	Thu Feb 15 09:38:52 2007
***************
*** 32,37 ****
--- 32,38 ----
  	// While we recognize the SunOS operating system, we change
  	// this internally to be Solaris.
  	private static final String INTERNAL_OS_SUNOS = "SunOS"; //$NON-NLS-1$
+ 	private static final String INTERNAL_OS_SYSV5 = "SCO"; //$NON-NLS-1$
  	private static final String INTERNAL_OS_LINUX = "Linux"; //$NON-NLS-1$
  	private static final String INTERNAL_OS_MACOSX = "Mac OS"; //$NON-NLS-1$
  	private static final String INTERNAL_OS_AIX = "AIX"; //$NON-NLS-1$
***************
*** 187,192 ****
--- 188,195 ----
  		// setup default values for known OSes if nothing was specified
  		if (os.equals(Constants.OS_WIN32))
  			return Constants.WS_WIN32;
+ 		if (os.equals(Constants.OS_SYSV5))
+ 			return Constants.WS_GTK;
  		if (os.equals(Constants.OS_LINUX))
  			return Constants.WS_MOTIF;
  		if (os.equals(Constants.OS_MACOSX))
***************
*** 210,215 ****
--- 213,220 ----
  		// EXCEPTION: All mappings of SunOS convert to Solaris
  		if (osName.equalsIgnoreCase(INTERNAL_OS_SUNOS))
  			return Constants.OS_SOLARIS;
+ 		if (osName.equalsIgnoreCase(INTERNAL_OS_SYSV5))
+ 			return Constants.OS_SYSV5;
  		if (osName.equalsIgnoreCase(INTERNAL_OS_LINUX))
  			return Constants.OS_LINUX;
  		if (osName.equalsIgnoreCase(INTERNAL_OS_QNX))
*** ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/PluginConverterImpl.java.osr6	Thu Sep 21 07:57:37 2006
--- ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/core/runtime/internal/adaptor/PluginConverterImpl.java	Thu Feb 15 09:38:52 2007
***************
*** 68,74 ****
  	static public final String FRAGMENT_MANIFEST = "fragment.xml"; //$NON-NLS-1$
  	static public final String GENERATED_FROM = "Generated-from"; //$NON-NLS-1$
  	static public final String MANIFEST_TYPE_ATTRIBUTE = "type"; //$NON-NLS-1$
! 	private static final String[] OS_LIST = {org.eclipse.osgi.service.environment.Constants.OS_AIX, org.eclipse.osgi.service.environment.Constants.OS_HPUX, org.eclipse.osgi.service.environment.Constants.OS_LINUX, org.eclipse.osgi.service.environment.Constants.OS_MACOSX, org.eclipse.osgi.service.environment.Constants.OS_QNX, org.eclipse.osgi.service.environment.Constants.OS_SOLARIS, org.eclipse.osgi.service.environment.Constants.OS_WIN32};
  	protected static final String PI_RUNTIME = "org.eclipse.core.runtime"; //$NON-NLS-1$
  	protected static final String PI_BOOT = "org.eclipse.core.boot"; //$NON-NLS-1$
  	protected static final String PI_RUNTIME_COMPATIBILITY = "org.eclipse.core.runtime.compatibility"; //$NON-NLS-1$
--- 68,74 ----
  	static public final String FRAGMENT_MANIFEST = "fragment.xml"; //$NON-NLS-1$
  	static public final String GENERATED_FROM = "Generated-from"; //$NON-NLS-1$
  	static public final String MANIFEST_TYPE_ATTRIBUTE = "type"; //$NON-NLS-1$
! 	private static final String[] OS_LIST = {org.eclipse.osgi.service.environment.Constants.OS_AIX, org.eclipse.osgi.service.environment.Constants.OS_HPUX, org.eclipse.osgi.service.environment.Constants.OS_SYSV5, org.eclipse.osgi.service.environment.Constants.OS_LINUX, org.eclipse.osgi.service.environment.Constants.OS_MACOSX, org.eclipse.osgi.service.environment.Constants.OS_QNX, org.eclipse.osgi.service.environment.Constants.OS_SOLARIS, org.eclipse.osgi.service.environment.Constants.OS_WIN32};
  	protected static final String PI_RUNTIME = "org.eclipse.core.runtime"; //$NON-NLS-1$
  	protected static final String PI_BOOT = "org.eclipse.core.boot"; //$NON-NLS-1$
  	protected static final String PI_RUNTIME_COMPATIBILITY = "org.eclipse.core.runtime.compatibility"; //$NON-NLS-1$
*** ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/osgi/service/environment/Constants.java.osr6	Thu Sep 21 07:57:37 2006
--- ./plugins/org.eclipse.osgi/eclipseAdaptor/src/org/eclipse/osgi/service/environment/Constants.java	Thu Feb 15 09:38:52 2007
***************
*** 23,28 ****
--- 23,34 ----
  	public static final String OS_WIN32 = "win32";//$NON-NLS-1$
  
  	/**
+ 	 * Constant string (value "sysv5") indicating the platform is running
+ 	 * on a UNIX SVR5-based operating system.
+ 	 */
+ 	public static final String OS_SYSV5 = "sysv5";//$NON-NLS-1$
+ 
+ 	/**
  	 * Constant string (value "linux") indicating the platform is running on a
  	 * Linux-based operating system.
  	 */
*** ./plugins/org.eclipse.update.scheduler/.project.osr6	Thu Sep 21 07:57:36 2006
--- ./plugins/org.eclipse.update.scheduler/.project	Thu Feb 15 09:38:52 2007
***************
*** 11,17 ****
  		<project>org.eclipse.ui.views</project>
  		<project>org.eclipse.ui.workbench.texteditor</project>
  		<project>org.eclipse.update.core</project>
! 		<project>org.eclipse.update.core.linux</project>
  		<project>org.eclipse.update.ui</project>
  	</projects>
  	<buildSpec>
--- 11,17 ----
  		<project>org.eclipse.ui.views</project>
  		<project>org.eclipse.ui.workbench.texteditor</project>
  		<project>org.eclipse.update.core</project>
! 		<project>org.eclipse.update.core.sysv5</project>
  		<project>org.eclipse.update.ui</project>
  	</projects>
  	<buildSpec>
*** ./plugins/org.eclipse.swt/.classpath_gtk.osr6	Thu Sep 21 07:57:36 2006
--- ./plugins/org.eclipse.swt/.classpath_gtk	Thu Feb 15 09:38:52 2007
***************
*** 9,15 ****
      <classpathentry kind="src" path="Eclipse SWT/common_j2se"/>
      <classpathentry kind="src" path="Eclipse SWT PI/gtk">
  	    <attributes>
! 			<attribute value="org.eclipse.swt.gtk.linux.x86" name="org.eclipse.jdt.launching.CLASSPATH_ATTR_LIBRARY_PATH_ENTRY"/>
  		</attributes>
      </classpathentry>
      <classpathentry kind="src" path="Eclipse SWT PI/cairo"/>
--- 9,15 ----
      <classpathentry kind="src" path="Eclipse SWT/common_j2se"/>
      <classpathentry kind="src" path="Eclipse SWT PI/gtk">
  	    <attributes>
! 			<attribute value="org.eclipse.swt.gtk.sysv5.x86" name="org.eclipse.jdt.launching.CLASSPATH_ATTR_LIBRARY_PATH_ENTRY"/>
  		</attributes>
      </classpathentry>
      <classpathentry kind="src" path="Eclipse SWT PI/cairo"/>
*** ./plugins/org.eclipse.swt/.classpath_gtk_j2me.osr6	Thu Sep 21 07:57:38 2006
--- ./plugins/org.eclipse.swt/.classpath_gtk_j2me	Thu Feb 15 09:38:52 2007
***************
*** 8,14 ****
      <classpathentry kind="src" path="Eclipse SWT/common_j2me"/>
      <classpathentry kind="src" path="Eclipse SWT PI/gtk">
  	    <attributes>
! 			<attribute value="org.eclipse.swt.gtk.linux.x86" name="org.eclipse.jdt.launching.CLASSPATH_ATTR_LIBRARY_PATH_ENTRY"/>
  		</attributes>
      </classpathentry>
      <classpathentry kind="src" path="Eclipse SWT PI/common_j2me"/>
--- 8,14 ----
      <classpathentry kind="src" path="Eclipse SWT/common_j2me"/>
      <classpathentry kind="src" path="Eclipse SWT PI/gtk">
  	    <attributes>
! 			<attribute value="org.eclipse.swt.gtk.sysv5.x86" name="org.eclipse.jdt.launching.CLASSPATH_ATTR_LIBRARY_PATH_ENTRY"/>
  		</attributes>
      </classpathentry>
      <classpathentry kind="src" path="Eclipse SWT PI/common_j2me"/>
*** ./plugins/org.eclipse.jdt.source.sysv5.gtk.x86/META-INF/MANIFEST.MF.osr6	Thu Feb 15 09:38:55 2007
--- ./plugins/org.eclipse.jdt.source.sysv5.gtk.x86/META-INF/MANIFEST.MF	Thu Feb 15 09:38:55 2007
***************
*** 0 ****
--- 1,7 ----
+ Manifest-Version: 1.0
+ Bundle-Name: %pluginName
+ Bundle-SymbolicName: org.eclipse.jdt.source.sysv5.gtk.x86; singleton=true
+ Bundle-Version: 3.2.1
+ Fragment-Host: org.eclipse.jdt.source;bundle-version="3.2.1"
+ Bundle-Localization: plugin
+ Bundle-Vendor: %providerName
*** ./plugins/org.eclipse.pde.source.sysv5.gtk.x86/META-INF/MANIFEST.MF.osr6	Thu Feb 15 09:38:55 2007
--- ./plugins/org.eclipse.pde.source.sysv5.gtk.x86/META-INF/MANIFEST.MF	Thu Feb 15 09:38:55 2007
***************
*** 0 ****
--- 1,7 ----
+ Manifest-Version: 1.0
+ Bundle-Name: %pluginName
+ Bundle-SymbolicName: org.eclipse.pde.source.sysv5.gtk.x86; singleton=true
+ Bundle-Version: 3.2.1
+ Fragment-Host: org.eclipse.pde.source;bundle-version="3.2.1"
+ Bundle-Localization: plugin
+ Bundle-Vendor: %providerName
*** ./plugins/org.eclipse.platform.source.sysv5.gtk.x86/META-INF/MANIFEST.MF.osr6	Thu Feb 15 09:38:55 2007
--- ./plugins/org.eclipse.platform.source.sysv5.gtk.x86/META-INF/MANIFEST.MF	Thu Feb 15 09:38:55 2007
***************
*** 0 ****
--- 1,7 ----
+ Manifest-Version: 1.0
+ Bundle-Name: %pluginName
+ Bundle-SymbolicName: org.eclipse.platform.source.sysv5.gtk.x86; singleton=true
+ Bundle-Version: 3.2.1
+ Fragment-Host: org.eclipse.platform.source;bundle-version="3.2.1"
+ Bundle-Localization: plugin
+ Bundle-Vendor: %providerName
